org.apache.tapestry5.internal.beaneditor

## Class PropertyModelImpl

- java.lang.Object
- - org.apache.tapestry5.internal.beaneditor.PropertyModelImpl

- All Implemented Interfaces:
    PropertyModel, AnnotationProvider

      public class PropertyModelImpl
      extends java.lang.Object
      implements PropertyModel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyModelImpl(BeanModel model, java.lang.String name, PropertyConduit conduit, Messages messages)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyModel` | `dataType(java.lang.String dataType)` Changes the data type for the property.
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation(java.lang.Class<T> annotationClass)` Searches for the specified annotation, returning the matching annotation instance.
    `PropertyConduit` | `getConduit()` Returns an object used to read or update the property.
    `java.lang.String` | `getDataType()` Returns a logical name for the type of UI needed to view or edit the property.
    `java.lang.String` | `getId()` Returns the id used to access other resources (this is based on the property name, but with any excess punctuation stripped out).
    `java.lang.String` | `getLabel()` Returns a user-presentable label for the property.
    `java.lang.String` | `getPropertyName()` Returns the name of the property (which may, in fact, be a property expression).
    `java.lang.Class` | `getPropertyType()` Returns the type of the property.
    `boolean` | `isSortable()` Returns true if the property can be used for sorting.
    `PropertyModel` | `label(java.lang.String label)` Changes the label for the property to the provided value.
    `BeanModel` | `model()` Returns the containing model, often used for "fluent" construction of the model.
    `PropertyModel` | `sortable(boolean sortable)` Updates sortable and returns the model for further changes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyModelImpl

          public PropertyModelImpl(BeanModel model,
                                   java.lang.String name,
                                   PropertyConduit conduit,
                                   Messages messages)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `PropertyModel`
      Returns the id used to access other resources (this is based on the property name, but with any excess punctuation stripped out).
      Specified by:
        `getId` in interface `PropertyModel`

    - #### getPropertyType

          public java.lang.Class getPropertyType()

      Description copied from interface: `PropertyModel`
      Returns the type of the property.
      Specified by:
        `getPropertyType` in interface `PropertyModel`

    - #### getConduit

          public PropertyConduit getConduit()

      Description copied from interface: `PropertyModel`
      Returns an object used to read or update the property. For virtual properties (properties that do not actually exist on the bean), the conduit may be null.
      Specified by:
        `getConduit` in interface `PropertyModel`

    - #### label

          public PropertyModel label(java.lang.String label)

      Description copied from interface: `PropertyModel`
      Changes the label for the property to the provided value.
      Specified by:
        `label` in interface `PropertyModel`
      Parameters:
        `label` - new label for property
      Returns:
        the property model, for further changes

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from interface: `PropertyModel`
      Returns a user-presentable label for the property.
      Specified by:
        `getLabel` in interface `PropertyModel`

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Description copied from interface: `PropertyModel`
      Returns the name of the property (which may, in fact, be a property expression).
      Specified by:
        `getPropertyName` in interface `PropertyModel`

    - #### model

          public BeanModel model()

      Description copied from interface: `PropertyModel`
      Returns the containing model, often used for "fluent" construction of the model.
      Specified by:
        `model` in interface `PropertyModel`

    - #### dataType

          public PropertyModel dataType(java.lang.String dataType)

      Description copied from interface: `PropertyModel`
      Changes the data type for the property.
      Specified by:
        `dataType` in interface `PropertyModel`
      Returns:
        the property model, for further changes

    - #### getDataType

          public java.lang.String getDataType()

      Description copied from interface: `PropertyModel`
      Returns a logical name for the type of UI needed to view or edit the property. This is initially determined from the property type.
      Specified by:
        `getDataType` in interface `PropertyModel`

    - #### isSortable

          public boolean isSortable()

      Description copied from interface: `PropertyModel`
      Returns true if the property can be used for sorting. By default, this is true only if the property type implements Comparable.
      Specified by:
        `isSortable` in interface `PropertyModel`

    - #### sortable

          public PropertyModel sortable(boolean sortable)

      Description copied from interface: `PropertyModel`
      Updates sortable and returns the model for further changes.
      Specified by:
        `sortable` in interface `PropertyModel`
      Returns:
        the property model, for further changes

    - #### getAnnotation

          public <T extends java.lang.annotation.Annotation> T getAnnotation(java.lang.Class<T> annotationClass)

      Description copied from interface: `AnnotationProvider`
      Searches for the specified annotation, returning the matching annotation instance.
      Specified by:
        `getAnnotation` in interface `AnnotationProvider`
      Parameters:
        `annotationClass` - used to select the annotation to return
      Returns:
        the annotation, or null if not found

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.